
Application: gvSIG desktop - gvSIG bugs #1195
Line and polygon symbology doesn't work for KML layers
10/02/2012 10:24 AM - María Maluenda

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Symbology
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2053 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.- Open gvSIG
2.- Open new View (EPSG 4326)
3.- Add new layer (http://downloads.gvsig.org/download/geodata/vector/KML/LaRioja_Geologia_IDERIOJA_KML.zip)
4.- Click layer in Toc
5.- Select right button and click properties to layer
6.- Select Symbols in dialog box.
7.- In box to symbols appears point, line and polygon symbols.
8.- Click Choose Symbol 
9.- Only appears to change the point symbol. Line and polygon symbology doesn't appears. 
You can select a new color (red) for example, click ok, Click ok and click close. The symbol point is changed to selected color (red).
----------------

1 -. Abrir gvSIG
2 -. Abrir nueva vista (EPSG 4326)
3 -. Añadir nueva capa (http://downloads.gvsig.org/download/geodata/vector/KML/LaRioja_Geologia_IDERIOJA_KML.zip)
4 -. Clic en la capa en Toc
5 -. Seleccione botón derecho y clic en Propiedades de capa
6 -. Seleccione Símbolos en el cuadro de diálogo.
7 -. En el cuadro de símbolos aparecen puntos, líneas y símbolos poligonales.
8 -. Clic en Seleccionar Símbolo
9 -. Sólo aparece para cambiar el símbolo puntual. La simbología de líneas y polígonos no aparece.
Se puede seleccionar un nuevo color (rojo), por ejemplo, clic en Aceptar, clic en Aceptar y cierre. El símbolo puntual se cambia al
color seleccionado (rojo).

History
#1 - 10/02/2012 10:36 AM - María Maluenda

Si seleccionas una segunda vez las propiedades de simbología de la capa KML, abres la opción de seleccionar símbolo pero ahora cancelas, el
símbolo puntual desaparece del cuadro de diálogo y de la capa en Toc.
If you reopen symbol properties of KML layer, and click choose symbol but click cancel, symbol point dissapears in dialog box and in Toc.

#2 - 10/02/2012 03:17 PM - Manuel Madrid
- Target version set to 2.0.0-rc1
http://downloads.gvsig.org/download/geodata/vector/KML/LaRioja_Geologia_IDERIOJA_KML.zip
http://downloads.gvsig.org/download/geodata/vector/KML/LaRioja_Geologia_IDERIOJA_KML.zip


#3 - 10/29/2012 11:00 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

After previous bugfixes this problem does not happen. You can test it with BN 2057 or higher.

#4 - 10/29/2012 04:04 PM - Juan Lucas Domínguez

Cloning current symbol when starting "new symbol" dialog in case user cancels new dialog.

gvsig-desktop:r39113

You can test it with BN 2057 or higher.

#5 - 11/12/2012 02:15 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
